Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.seq.io.agave
Class AGAVEMapPosition

    java.lang.Object
      org.biojava.bio.seq.io.agave.AGAVEMapPosition

    public class AGAVEMapPosition

extends Object

Author:
  Hanning Ni Doubletwist Inc, Greg Cox

Constructor Summary
`AGAVEMapPosition()`

Method Summary
`void` | `addDbId(AGAVEDbId id)`
`Iterator` | `getDbIds()`
`String` | `getPos()`
`void` | `setPos(String pos)`
`String` | `toString()`
`String` | `toString(String indent, String indent_unit)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AGAVEMapPosition

    public AGAVEMapPosition()

Method Detail

### setPos

    public void setPos(String pos)

### getPos

    public String getPos()

### addDbId

    public void addDbId(AGAVEDbId id)

### getDbIds

    public Iterator getDbIds()

### toString

    public String toString(String indent,
                           String indent_unit)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD